Subject: Re: your mail (yosemite + 2.6.x issues)

From: Alex Gonzalez <[email-masked]>
Date: Wed, 04 May 2005 15:05:40 +0100

I remember having some problem with the serial driver for the rm9000.
pmc-sierra had to supply a fix. 

Their 2.6.10-rc3-20041208 kernel had the fix applied. Sorry not to
remember more details.

Alex

On Fri, 2005-04-29 at 17:08, Manish Lachwani wrote:
> Do you load the kernel first and then do a "go"? If you load the kernel 
> first using the "load" command, then you should come back to the PMON 
> prompt where you can type a "go". I was not clear about it from your 
> email below.
> 
> Thanks
> Manish Lachwani
> 
> Bryan Althouse wrote:
> 
> >Thanks Ralf, now I can compile the kernel.  But, I don't get any serial
> >console output when I try to boot it.  Actually, I get a single line that
> >looks like this:
> >
> >Loading file: tftp://192.168.2.39/vmlinux (elf)
> >0x80100000/2288188 + 0x8032ea3c/111372(z) + 4125 syms|
> >
> >I have found PMC's "yosemite_defconfig" file and I am using it as the
> >".config". I have tried using CONFIG_PMC_INTERNAL_UART=y and I have also
> >tried commenting it out.  Either way, I get no console output.
> >
> >Thanks for the help!
> >Bryan
> >
> >-----Original Message-----
> >From: Ralf Baechle [mailto:[email-masked]] 
> >Sent: Friday, April 29, 2005 7:03 AM
> >To: Bryan Althouse
> >Cc: [email-masked]; [email-masked]
> >Subject: Re: your mail
> >
> >On Thu, Apr 28, 2005 at 03:15:49PM -0400, Bryan Althouse wrote:
> >
> >  
> >
> >>I would like to use a 2.6.x kernel with my Yosemite/HalfDome board.
> >>Somehow, I am unable to compile the kernel.  I have tried the 2.6.10
> >>    
> >>
> >kernel
> >  
> >
> >>trees from ftp.pmc-sierra.com and also the latest 2.6.12 snapshot from
> >>linux-mips.  I am using the 3.3.x cross compile tools from
> >>ftp.pmc-sierra.com .  The 2.4.x kernels from PMC compile fine.
> >>
> >>In the case of 2.6.10 from ftp.pmc-sierra.com, my error looks like:
> >>       Make[3]: *** [drivers/char/agp/backend.o] Error 1
> >>    
> >>
> >
> >Configuring AGP support for a MIPS kernel is obviously nonsense.  Disable
> >CONFIG_AGP.
> >
> >  
> >
> >>In the case of 2.6.12 from linux-mips, my error looks like:
> >>	drivers/net/titan_ge.c1950: error: 'titan_device_remove"  undeclared
> >>here (not in a function)
> >>    
> >>
> >
> >Whoops, a bug.  The function indeed doesn't exist even though it should,
> >will fix that.  You will hit this bug only if compiling the titan driver
> >as a module, so workaround set CONFIG_TITAN_GE=y.  Which for the typical
> >titan-based device seems to be the preferable choice anyway.
> >
> >  Ralf
> >
> >
> >
> >  
> >
> 
>